Credentials
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/git-credentials/password" \ -H "Content-Type: application/json" \ -d '{ "password": "aaa" }'"abc123"Authorization
bearerAuth In: header
Query Parameters
One-indexed page.
int641 <= value1Items per page.
int641 <= value <= 10030Response Body
application/json
curl -X GET "https://example.com/v1/gpg-keys?page=2&per_page=2""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/gpg-keys" \ -H "Content-Type: application/json" \ -d '{ "armoredPublicKey": "aa", "armoredSignature": "aaa" }'"abc123"curl -X GET "https://example.com/v1/gpg-keys/verification-token""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/gpg-keys/verify" \ -H "Content-Type: application/json" \ -d '{ "armoredSignature": "aa", "keyId": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
GPG key id.
int641 <= valueResponse Body
application/json
curl -X DELETE "https://example.com/v1/gpg-keys/2""abc123"Authorization
bearerAuth In: header
Query Parameters
One-indexed page.
int641 <= value1Items per page.
int641 <= value <= 10030Response Body
application/json
curl -X GET "https://example.com/v1/ssh-keys?page=2&per_page=2""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/ssh-keys" \ -H "Content-Type: application/json" \ -d '{ "key": "aa", "title": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Public key id.
int641 <= valueResponse Body
application/json
curl -X DELETE "https://example.com/v1/ssh-keys/2""abc123"